<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HTML Tables and Forms
	
	</title>
</head>
<body>

	<div id="header">
		<h1>HTML Tables and Forms</h1>
	</div>
		<div id="Main"></div>
		<div id="section">
			<!-- start of table -->
		<h2>HTML Entities</h2>
		<p><em>Reserved Characters in HTML (e.g. &lt; or &gt; characters that can mix up with HTML code).</em></p>
	<!-- table defines an HTML table -->

		<table border="1">
		<!-- thead used to group table header content -->
		<thead>
			<!-- tr defines table row -->
			<tr>
				<!-- th defines a table header element -->
				<!-- colsapan- attribute changes the amount of columns a table element will occupy -->
				<th colspan="2">Entity</th>
				<th>Description</th>
			</tr>
		<thead>
			<!-- tbody - used to group table body content -->
			<tbody>
				<tr>
					<!-- td -table data element -->
					<td>&lt;</td>
					<td>lt</td>
					<td>less than</td>
				</tr>
				<tr>
					<!-- td -table data element -->
					<td>&gt;</td>
					<td>gt</td>
					<td>greater than</td>
				</tr>
					<tr>
					<!-- td -table data element -->
					<td>&#8369;</td>
					<td>#8369</td>
					<td>Peso sign</td>
				</tr>
				</tr>
					<tr>
					<!-- td -table data element -->
					<td>&amp;</td>
					<td>amp</td>
					<td>ampersand</td>
				</tr>
				</tr>
					<tr>
					<!-- td -table data element -->
					<td>&quot;</td>
					<td>quot</td>
					<td>double quotation mark</td>
				</tr>
				</tr>
					<tr>
					<!-- td -table data element -->
					<td>&apos;</td>
					<td>apos</td>
					<td>single quotation mark (apostrophe)</td>
				</tr>
				</tr>
					<tr>
					<!-- td -table data element -->
					<td>&Ntilde;</td>
					<td>Ntilde</td>
					<td>Upper Tilde</td>
				</tr>
				</tr>
					<tr>
					<!-- td -table data element -->
					<td>&ntilde;</td>
					<td>ntilde</td>
					<td>Lower Tilde</td>
				</tr>
			</tbody>
		</table>
		<!-- end of table -->
		</div>
		<div id="section">
			<!-- start of form -->
		<h2>HTML Forms</h2>
		<p><em>Input elements that make up a form</em></p>

<!-- creates an HTML form to capture user input -->
		<form action="https://google.com">
		<label for="full_name">Full name:</label><br>
		<input type="text" name="full_name" id="full_name" required autocomplete><br><br>

		<label for="birth_date">Birth Date:</label><br>
		<input type="date" name="birth_date" id="birth_date" required><br><br>

		<label for="age">Age:</label><br>
		<input type="number" name="age" id="age" min="1" required><br><br>

		<label for="gender">Gender:</label><br>
		<select name="gender" id="gender">
		<option value="Male">Male</option>
		<option value="Female">Female</option>
		</select> <br>

		<label for="notes">Notes:</label><br>
		<textarea name="notes" rows="5" id="notes"></textarea><br>

<!-- Radio button -->
		<label>New User:</label><br>
		<input type="radio" name="new_user" id="user-type1" value="user-type1">
		<label for="user-type1">Yes</label><br>
	
		<input type="radio" name="new_user" id="user-type2" value="user-type2">
		<label for="user-type2">No</label><br>
		<br>

<!-- Checkbox -->
		<label>Role:</label><br>
		<input type="checkbox" name="role1" id="role1" value="developer">
		<label for="role1">Developer</label><br>

		<input type="checkbox" name="role2" id="role2" value="student">
		<label for="role2">Student</label><br>

		<input type="checkbox" name="role3" id="role3" value="manager">
		<label for="role3">Manager</label><br>

		<button type="submit">Submit</button>
		<button type="reset">Reset</button>

		</form>
<!-- End of form -->
		</div>
</body>
</html>